--- glyphs-eimage.c.orig	2007-02-21 05:49:33.000000000 -0500
+++ glyphs-eimage.c	2007-12-06 12:39:37.000000000 -0500
@@ -109,6 +109,14 @@
 #define XMD_H
 typedef signed int INT32;
 typedef signed short INT16;
+
+/* And another one... jmorecfg.h defines the 'boolean' type as int,
+   which conflicts with the standard Windows 'boolean' definition as
+   unsigned char. Ref: http://www.asmail.be/msg0054688232.html */
+#ifndef __RPCNDR_H__		/* don't conflict if rpcndr.h already read */
+typedef unsigned char boolean;
+#endif
+#define HAVE_BOOLEAN		/* prevent jmorecfg.h from redefining it */
 #endif
 
 #include <jpeglib.h>
